aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/require.sh
diff options
context:
space:
mode:
authorNicolas LÅ“uillet <nicolas@loeuillet.org>2016-10-27 10:09:43 +0200
committerNicolas LÅ“uillet <nicolas@loeuillet.org>2016-10-27 10:09:43 +0200
commitc4d9a8d6d0db2be5c502e257bbeb963e3870d521 (patch)
tree3707e21a1f0a4074bd9353efee7798582eeac18e /scripts/require.sh
parent9998c725330b4a99d6d12df60ac8234052e80b6a (diff)
downloadwallabag-c4d9a8d6d0db2be5c502e257bbeb963e3870d521.tar.gz
wallabag-c4d9a8d6d0db2be5c502e257bbeb963e3870d521.tar.zst
wallabag-c4d9a8d6d0db2be5c502e257bbeb963e3870d521.zip
Usage of composer.phar if it's found
Diffstat (limited to 'scripts/require.sh')
-rw-r--r--scripts/require.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/require.sh b/scripts/require.sh
index 851d065d..ddfb3dd2 100644
--- a/scripts/require.sh
+++ b/scripts/require.sh
@@ -3,6 +3,7 @@
3 3
4if [ ! -f composer.phar ]; then 4if [ ! -f composer.phar ]; then
5 echo "composer.phar not found, we'll see if composer is installed globally." 5 echo "composer.phar not found, we'll see if composer is installed globally."
6 command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; }
7else
8 COMPOSER_COMMAND='composer.phar'
6fi 9fi
7
8command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; }